﻿using Microsoft.Xna.Framework.Content.Pipeline;
using Microsoft.Xna.Framework.Content.Pipeline.Serialization.Compiler;

namespace RecrownedAthenaeum.Pipeline.TextureAtlas
{
    [ContentTypeWriter]
    class TextureAtlasWriter : ContentTypeWriter<byte[]>
    {
        public override string GetRuntimeReader(TargetPlatform targetPlatform)
        {
            return "RecrownedAthenaeum.Pipeline, TextureAtlasDataReader";
        }

        protected override void Write(ContentWriter output, byte[] value)
        {
            output.Write(value.Length);
            output.Write(value);
        }
    }
}
